x11/wxGTK30 - The NetBSD Packages Collection

Cross-platform wxWidgets GUI library

The wxWidgets cross-platform GUI library.

wxWidgets is a set of libraries that allows C++ applications to compile and
run on several different types of computer, with minimal source code changes.
There is one library per supported GUI (such as Windows, GTK+, Motif, and Mac).
As well as providing a common API (Application Programming Interface) for GUI
functionality, it provides functionality for accessing some commonly-used
operating system facilities, from copying and deleting files to socket and
thread support. wxWidgets is a 'framework' in the sense that it provides a lot
of built-in functionality, which the application can use or replace as required,
thus saving a great deal of coding effort. Basic data structures such as
strings, arrays, linked lists and hash tables are also supported.

Such a toolkit is not unique - there are others to choose from - but wxWidgets
is free, well-established, well-documented, and very broad in its coverage of
GUI functionality. It has some extras that make it stand out from the crowd,
such as the many convenience dialogs, built-in HTML display and printing,
virtual filesystems, easy-to-use OLE automation controller class, Open GL
support, and many other features that make it easier to write modern and
user-friendly applications.

Build dependencies

pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/glib2-tools devel/pkgconf

Runtime dependencies

x11/gtk3 devel/glib2 graphics/cairo graphics/png graphics/MesaLib graphics/tiff multimedia/gstreamer1 multimedia/gst-plugins1-base graphics/glu graphics/glu x11/gtk3 devel/glib2 graphics/cairo graphics/png graphics/MesaLib graphics/tiff multimedia/gstreamer1 multimedia/gst-plugins1-base graphics/glu

Available binary packages

aarch64:wxGTK30-3.0.4nb5.tgz(NetBSD 9.0)
aarch64:wxGTK30-3.0.5.1nb1.tgz(NetBSD 9.0)
aarch64:wxGTK30-3.0.5.1nb2.tgz(NetBSD 9.0)
alpha:wxGTK30-3.0.5.1nb2.tgz(NetBSD 9.0)
alpha:wxGTK30-3.0.4nb5.tgz(NetBSD 9.0)
alpha:wxGTK30-3.0.5.1nb1.tgz(NetBSD 9.0)
earm:wxGTK30-3.0.5.1nb1.tgz(NetBSD 9.0)
earmv6hf:wxGTK30-3.0.5.1nb2.tgz(NetBSD 9.0)
earmv6hf:wxGTK30-3.0.4nb5.tgz(NetBSD 9.0)
earmv6hf:wxGTK30-3.0.5.1nb1.tgz(NetBSD 9.0)
earmv6hf:wxGTK30-3.0.5.1nb2.tgz(NetBSD 9.0)
earmv7hf:wxGTK30-3.0.5.1nb2.tgz(NetBSD 8.0)
earmv7hf:wxGTK30-3.0.4nb5.tgz(NetBSD 8.0)
earmv7hf:wxGTK30-3.0.4nb5.tgz(NetBSD 8.0)
earmv7hf:wxGTK30-3.0.5.1nb1.tgz(NetBSD 8.0)
earmv7hf:wxGTK30-3.0.5.1nb2.tgz(NetBSD 9.0)
earmv7hf:wxGTK30-3.0.4nb5.tgz(NetBSD 9.0)
earmv7hf:wxGTK30-3.0.4nb5.tgz(NetBSD 9.0)
earmv7hf:wxGTK30-3.0.5.1nb1.tgz(NetBSD 9.0)
earmv7hf:wxGTK30-3.0.5.1nb2.tgz(NetBSD 9.0)
i386:wxGTK30-3.0.4nb5.tgz(NetBSD 8.0)
i386:wxGTK30-3.0.5.1nb1.tgz(NetBSD 8.0)
i386:wxGTK30-3.0.5.1nb2.tgz(NetBSD 8.0)
i386:wxGTK30-3.0.4nb5.tgz(NetBSD 9.0)
i386:wxGTK30-3.0.5.1nb1.tgz(NetBSD 9.0)
i386:wxGTK30-3.0.5.1nb2.tgz(NetBSD 9.0)
mips64eb:wxGTK30-3.0.5.1nb1.tgz(NetBSD 9.0)
mips64eb:wxGTK30-3.0.5.1nb2.tgz(NetBSD 9.0)
powerpc:wxGTK30-3.0.5.1nb1.tgz(NetBSD 8.0)
powerpc:wxGTK30-3.0.5.1nb2.tgz(NetBSD 8.0)
powerpc:wxGTK30-3.0.5.1nb2.tgz(NetBSD 9.0)
powerpc:wxGTK30-3.0.4nb5.tgz(NetBSD 9.0)
powerpc:wxGTK30-3.0.5.1nb1.tgz(NetBSD 9.0)
sh3el:wxGTK30-3.0.5.1nb2.tgz(NetBSD 9.0)
sparc64:wxGTK30-3.0.5.1nb2.tgz(NetBSD 9.0)
sparc64:wxGTK30-3.0.4nb5.tgz(NetBSD 9.0)
sparc64:wxGTK30-3.0.5.1nb1.tgz(NetBSD 9.0)
sparc:wxGTK30-3.0.5.1nb1.tgz(NetBSD 9.0)
sparc:wxGTK30-3.0.5.1nb2.tgz(NetBSD 9.0)
x86_64:wxGTK30-3.0.5.1nb1.tgz(NetBSD 9.0)
x86_64:wxGTK30-3.0.5.1nb2.tgz(NetBSD 9.0)
x86_64:wxGTK30-3.0.5.1nb2.tgz(NetBSD 9.0)
x86_64:wxGTK30-3.0.5.1nb1.tgz(NetBSD 9.0)
x86_64:wxGTK30-3.0.5.1nb1.tgz(NetBSD 8.0)
x86_64:wxGTK30-3.0.4nb5.tgz(NetBSD 8.0)
x86_64:wxGTK30-3.0.5.1nb2.tgz(NetBSD 8.0)
x86_64:wxGTK30-3.0.4nb5.tgz(NetBSD 9.0)
x86_64:wxGTK30-3.0.5.1nb1.tgz(NetBSD 9.0)
x86_64:wxGTK30-3.0.5.1nb2.tgz(NetBSD 9.0)
x86_64:wxGTK30-3.0.5.1nb2.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

gtk2
Enable support for GTK2.
gtk3
Enable support for GTK3.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]